List all webhooks
List all webhooks under your partner account.
For postpaid SIM service only
403 will be returned if your partner account does not have postpaid SIM service.
The list is not paginated, as an account has at most 10 webhooks.
Required Capabilities
Webhook Viewer
Request
Response
A json array of webhooks is returned in the response body. Each webhook has the following fields:
ID of the webhook.
Name of the webhook.
URL events are pushed to.
Token sent with every push, masked to its first and last 4 characters, e.g. s3cr...6789.
Event types the webhook subscribes to.
POSTPAID_SIM_USAGE_UPDATED— The live usage of one or more postpaid SIMs in your partner account changes
Time of when the webhook is created.
Name of whom created the webhook.
Email of whom created the webhook. null if not applicable.
Time of when the webhook is updated. null if not applicable.
Name of whom updated the webhook. null if not applicable.
Email of whom updated the webhook. null if not applicable.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/webhooks' \ -H 'Authorization: Bearer {token}'Response
[
{
"id": "6704f1a2c3d4e5f6a7b8c9d0",
"name": "Usage feed",
"url": "https://partner.example.com/peplink/events",
"token": "s3cr...6789",
"eventTypes": ["POSTPAID_SIM_USAGE_UPDATED"],
"createdAt": "2026-10-08T03:12:45.123Z",
"createdBy": "Jane Doe",
"createdByEmail": "[email protected]",
"updatedAt": null,
"updatedBy": null,
"updatedByEmail": null
}
]